Login
Newsletter
Werbung

Sicherheit: Preisgabe von Informationen in Mono
Aktuelle Meldungen Distributionen
Name: Preisgabe von Informationen in Mono
ID: 200701-12
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Mi, 17. Januar 2007, 00:12
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-6104
Applikationen: Mono

Originalnachricht


--K8nIJk4ghYZn606h
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 200701-12
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Low
Title: Mono: Information disclosure
Date: January 16, 2007
Bugs: #159886
ID: 200701-12

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Mono does not properly sanitize pathnames allowing unauthorized
information disclosure.

Background
==========

Mono provides the necessary software to develop and run .NET client and
server applications on various platforms.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 dev-lang/mono < 1.2.2.1 >=3D 1.2.2.1

Description
===========

Jos=E9 Ram=F3n Palanco has discovered that the System.Web class in the
XSP for the ASP.NET server 1.1 through 2.0 in Mono does not properly
validate or sanitize local pathnames which could allow server-side file
content disclosure.

Impact
======

An attacker could append a space character to a URI and obtain
unauthorized access to the source code of server-side files. An
attacker could also read credentials by requesting Web.Config%20 from a
Mono server.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All Mono users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=3Ddev-lang/mono-1.2.2.1"

References
==========

[ 1 ] CVE-2006-6104
http://cve.mitre.org/cgi-bin/cvename.cgi?name=3DCVE-2006-6104

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-200701-12.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
http://bugs.gentoo.org.

License
=======

Copyright 2007 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5

--K8nIJk4ghYZn606h
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBRa1axTvRww8BFPxFAQL/Hwf5Af9FO1ixcZkzyHo/MrISzucxlpI9W3fy
e4QH9smMTTEaNcEvYC4xj8U8UmqHDbFahGzDCOhycy+SyyJKfdr7nEAHUE1Gx8sR
xtd9YfTJ0+JshWxKTPYOTH2f9//CqCILcn/0UDyrG/0Vq/AKs3o5dir/RmItvnRM
WDBQ1qiZUpBY1ELESVDhAZjxN6Eqpp/Gnh9W2hFB2CL/DFC8rDjiyhiky7T+LYxI
AYd0kBx1TuNPriZG/uNAg385NSAzQ8HNH16v75N5XtIOUXRzY/Mky/Qjp5nZYRGh
PrKdznv9TT14fgElUUpD3KJG3cin+EOpZaJKHWKVgWWLNBaUv7q8dw==
=5prW
-----END PGP SIGNATURE-----

--K8nIJk4ghYZn606h--
--
gentoo-announce@gentoo.org mailing list
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung